import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ClaimFileWhereInputObjectSchema as ClaimFileWhereInputObjectSchema } from './ClaimFileWhereInput.schema'

const makeSchema = () => z.object({
  every: z.lazy(() => ClaimFileWhereInputObjectSchema).optional(),
  some: z.lazy(() => ClaimFileWhereInputObjectSchema).optional(),
  none: z.lazy(() => ClaimFileWhereInputObjectSchema).optional()
}).strict();
export const ClaimFileListRelationFilterObjectSchema: z.ZodType<Prisma.ClaimFileListRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.ClaimFileListRelationFilter>;
export const ClaimFileListRelationFilterObjectZodSchema = makeSchema();
